
	function addCssToDocument(cssText, doc, mediaType){
	    doc = doc||document;
	    mediaType = mediaType||'';
	    addCssToDocument.styleObj=addCssToDocument.styleObj||{};
	    var styles = addCssToDocument.styleObj[mediaType];
	    if(!styles){
	            var head = document.getElementsByTagName("head")[0];
	            if( !head ){
	                    var docEl = document.getElementsByTagName("html")[0];
	                    if(!docEl){
	                            window.addEventListener("DOMContentLoaded",
	                            function(){ addCssToDocument(cssText, doc); },false);
	                            return;
	                    }
	                    head = document.createElement("head");
	                    if(head) document.insertBefore(head,docEl.firstChild);
	                    else head = docEl;
	            }
	            addCssToDocument.styleObj[mediaType] = styles = document.createElement("style");
	            styles.setAttribute("type","text/css");
	            if(mediaType)styles.setAttribute("media", mediaType);
	            styles.appendChild(document.createTextNode(' '));
	            head.appendChild(styles);
	    }
	    styles.innerHTML += cssText+"\n";
	    return true;
	}


    if(location.hostname.indexOf( '.56.com' )>-1){			// Fix search button position issues for 56.com
		addCssToDocument(".so {background-color:transparent !important;} .search .so .so_input .inp_search{ width:232px !important; }");
				// Fix hyperlinks position issue of 56.com
		addCssToDocument(".chn_nav { white-space:nowrap !important; }");
	} else if(location.hostname.indexOf( 'bbc.co.uk' )>-1){			// Fix page footer text overlap issue for bbc.co.uk
		addCssToDocument(" #disclaimer { bottom: 6px !important; white-space:nowrap; } ");
	} else if(location.hostname.indexOf( 'news.baidu.com' )>-1){			// Text truncation in blog/forum module - news.baidu.com
		addCssToDocument(".hotwords dd br {height:0px !important;line-height:0px !important; } .hotwords dd a { font-size:12px !important; }");
	} else if(location.hostname.indexOf( 'udn.com' )>-1){			// Fix unexpected x-repeat background image of udn.com
		addCssToDocument('.search td form, tr[class=links] td {white-space:nowrap !important;}');
	} else if(location.hostname.indexOf('mp3.baidu.com')>-1){			// Text overlap issue in page top of mp3.baidu.com
		addCssToDocument(".hd{ height:100px !important; } .nav-ctt, .nav-r-ctt { white-space:nowrap; }"); 
	} else if(location.hostname.indexOf('photobucket.com')>-1){			// Fix overlapped header text for photobucket.com
		addCssToDocument(" div.featuredPromo h1, div.featuredPromo h3 { white-space:nowrap !important; }"); 
	} else if(location.hostname.indexOf('twitter.com')>-1){			// Fix search button and search box overlap issue for twitter.com
		addCssToDocument("#home_search p { white-space:nowrap !important;  }"); 
	} else if(location.hostname.indexOf('www.baidu.com')>-1){			// Fix links display inside searchbox - baidu.com
		addCssToDocument("#nv a,#nv b,#su,#lk{font-size:12px}");
		addCssToDocument("#fm{padding-left:171px;text-align:left}#kw{width:170px;line-height:12px;padding:3px 1px;margin:0 6px 0 0;font:12px arial}}");
	} else if(location.hostname.indexOf("login.live.com") != -1) { //Fix WUSHAN-371  there are 3 titles in the hotmail webpage
		addCssToDocument("#i0272 div[id=GradientDiv] { display:none !important;} #i0272 div[id=GradientDiv]:first-child { display:block !important;}");					
		if(location.search.indexOf("mail.live.com") != -1) { //Fix WUSHAN-372 no response when new a mail from hotmail box
			location.href = "http://mail.live.com/m/";
	}
	} else if(location.hostname.indexOf('mail.cn.yahoo.com')!=-1||(location.hostname.indexOf('mail.yahoo.com')!=-1)){ // Fix Yahoo! Mail issue
		location.href = "http://m.yahoo.com/mail";
	
	} else if(location.hostname.indexOf('mail.163.com')==0) { // Fix 163 Mail OOM issue
		location.href = "http://m.mail.163.com";
	
	} else if(location.hostname.indexOf('mail.sina.com')==0 && location.pathname.indexOf('wap')==-1) { // Fix sina Mail issue:first page blank
		location.href = "http://3g.sina.com.cn/prog/wapsite/wapmail/logon.php";
	}

 
